# Weather

An decision block that gets the current weather or a forecast.

The fiber will pause until the operation has completed, proceeding through the YES path if a forecast for the location and period was found, proceeding through the NO if not.

If forecast advance is empty, evaluate to `null` or is less than 3 hours, the current weather is returned. Future weather can be forecasted for up to 16 days in advance, hourly forecasts only up to 5 days. Only the temperature and forecast timestamp variables may be assigned.

The units used are those of the backing API, see unit conversion. Weather data provided by OpenWeatherMap.

## Input arguments

- Latitude — latitude of the location.
- Longitude — longitude of the location.
- Forecast advance — amount of time into the future to forecast in seconds, default is current weather.
- Forecast period — period of forecast in seconds.

## Output variables

- Temperature — variable to assign the temperature in Celsius.
- Humidity — variable to assign the humidity in percent.
- Atmospheric pressure — variable to assign the atmospheric pressure in hectopascal.
- Cloudiness — variable to assign the cloudiness in percent.
- Wind speed — variable to assign the wind speed in meter/second.
- Wind direction — variable to assign the wind direction in degrees.
- Rain volume — variable to assign the rain volume in millimeters/hour.
- Snow volume — variable to assign the snow volume in millimeters/hour.
- Forecast timestamp — variable to assign the timestamp for the start of forecast period.